source: src/libcfa/Makefile.in @ 3d50aaf

aaron-thesisarm-ehcleanup-dtorsdeferred_resndemanglerenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxnew-astnew-ast-unique-exprnew-envno_listpersistent-indexerresolv-newwith_gc
Last change on this file since 3d50aaf was 3d50aaf, checked in by Thierry Delisle <tdelisle@…>, 5 years ago

Build process now properly only builds libcfa.a and libcfa-d.a according to configure (both libs are still the same)

  • Property mode set to 100644
File size: 25.4 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18######################## -*- Mode: Makefile-Automake -*- ######################
19###############################################################################
20
21
22
23VPATH = @srcdir@
24pkgdatadir = $(datadir)/@PACKAGE@
25pkgincludedir = $(includedir)/@PACKAGE@
26pkglibdir = $(libdir)/@PACKAGE@
27pkglibexecdir = $(libexecdir)/@PACKAGE@
28am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29install_sh_DATA = $(install_sh) -c -m 644
30install_sh_PROGRAM = $(install_sh) -c
31install_sh_SCRIPT = $(install_sh) -c
32INSTALL_HEADER = $(INSTALL_DATA)
33transform = $(program_transform_name)
34NORMAL_INSTALL = :
35PRE_INSTALL = :
36POST_INSTALL = :
37NORMAL_UNINSTALL = :
38PRE_UNINSTALL = :
39POST_UNINSTALL = :
40build_triplet = @build@
41host_triplet = @host@
42@BUILD_RELEASE_TRUE@am__append_1 = libcfa.a
43@BUILD_DEBUG_TRUE@am__append_2 = libcfa-d.a
44subdir = src/libcfa
45DIST_COMMON = $(nobase_include_HEADERS) $(srcdir)/Makefile.am \
46        $(srcdir)/Makefile.in
47ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
48am__aclocal_m4_deps = $(top_srcdir)/configure.ac
49am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
50        $(ACLOCAL_M4)
51mkinstalldirs = $(install_sh) -d
52CONFIG_HEADER = $(top_builddir)/config.h
53CONFIG_CLEAN_FILES =
54CONFIG_CLEAN_VPATH_FILES =
55am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
56am__vpath_adj = case $$p in \
57    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
58    *) f=$$p;; \
59  esac;
60am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
61am__install_max = 40
62am__nobase_strip_setup = \
63  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
64am__nobase_strip = \
65  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
66am__nobase_list = $(am__nobase_strip_setup); \
67  for p in $$list; do echo "$$p $$p"; done | \
68  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
69  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
70    if (++n[$$2] == $(am__install_max)) \
71      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
72    END { for (dir in files) print dir, files[dir] }'
73am__base_list = \
74  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
75  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
76am__uninstall_files_from_dir = { \
77  test -z "$$files" \
78    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
79    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
80         $(am__cd) "$$dir" && rm -f $$files; }; \
81  }
82am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" \
83        "$(DESTDIR)$(includedir)"
84LIBRARIES = $(lib_LIBRARIES)
85AR = ar
86ARFLAGS = cru
87AM_V_AR = $(am__v_AR_@AM_V@)
88am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
89am__v_AR_0 = @echo "  AR    " $@;
90AM_V_at = $(am__v_at_@AM_V@)
91am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
92am__v_at_0 = @
93libcfa_d_a_AR = $(AR) $(ARFLAGS)
94libcfa_d_a_LIBADD =
95am__dirstamp = $(am__leading_dot)dirstamp
96am__objects_1 = limits.$(OBJEXT) stdlib.$(OBJEXT) math.$(OBJEXT) \
97        iostream.$(OBJEXT) fstream.$(OBJEXT) iterator.$(OBJEXT) \
98        rational.$(OBJEXT) assert.$(OBJEXT) \
99        containers/vector.$(OBJEXT) concurrency/threads.$(OBJEXT)
100am__objects_2 = libcfa-prelude.$(OBJEXT) $(am__objects_1) \
101        concurrency/CtxSwitch-@MACHINE_TYPE@.$(OBJEXT) \
102        concurrency/invoke.$(OBJEXT)
103am_libcfa_d_a_OBJECTS = $(am__objects_2)
104libcfa_d_a_OBJECTS = $(am_libcfa_d_a_OBJECTS)
105libcfa_a_AR = $(AR) $(ARFLAGS)
106libcfa_a_LIBADD =
107am_libcfa_a_OBJECTS = $(am__objects_2)
108libcfa_a_OBJECTS = $(am_libcfa_a_OBJECTS)
109DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
110depcomp = $(SHELL) $(top_srcdir)/automake/depcomp
111am__depfiles_maybe = depfiles
112am__mv = mv -f
113CPPASCOMPILE = $(CCAS) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
114        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CCASFLAGS) $(CCASFLAGS)
115AM_V_CPPAS = $(am__v_CPPAS_@AM_V@)
116am__v_CPPAS_ = $(am__v_CPPAS_@AM_DEFAULT_V@)
117am__v_CPPAS_0 = @echo "  CPPAS " $@;
118COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
119        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
120AM_V_CC = $(am__v_CC_@AM_V@)
121am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
122am__v_CC_0 = @echo "  CC    " $@;
123CCLD = $(CC)
124LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
125AM_V_CCLD = $(am__v_CCLD_@AM_V@)
126am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
127am__v_CCLD_0 = @echo "  CCLD  " $@;
128AM_V_GEN = $(am__v_GEN_@AM_V@)
129am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
130am__v_GEN_0 = @echo "  GEN   " $@;
131SOURCES = $(libcfa_d_a_SOURCES) $(libcfa_a_SOURCES)
132DIST_SOURCES = $(libcfa_d_a_SOURCES) $(libcfa_a_SOURCES)
133DATA = $(cfalib_DATA)
134HEADERS = $(nobase_include_HEADERS)
135ETAGS = etags
136CTAGS = ctags
137DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
138ACLOCAL = @ACLOCAL@
139ALLOCA = @ALLOCA@
140AMTAR = @AMTAR@
141AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
142AUTOCONF = @AUTOCONF@
143AUTOHEADER = @AUTOHEADER@
144AUTOMAKE = @AUTOMAKE@
145AWK = @AWK@
146BACKEND_CC = @BACKEND_CC@
147CC = ${abs_top_srcdir}/src/driver/cfa
148CCAS = @CCAS@
149CCASDEPMODE = @CCASDEPMODE@
150CCASFLAGS = @CCASFLAGS@
151CCDEPMODE = @CCDEPMODE@
152CFA_BACKEND_CC = @CFA_BACKEND_CC@
153CFA_BINDIR = @CFA_BINDIR@
154CFA_FLAGS = @CFA_FLAGS@
155CFA_INCDIR = @CFA_INCDIR@
156CFA_LIBDIR = @CFA_LIBDIR@
157CFA_PREFIX = @CFA_PREFIX@
158CFLAGS = ${EXTRA_FLAGS} -quiet -no-include-stdhdr -XCFA -t -B${abs_top_srcdir}/src/driver
159CPP = @CPP@
160CPPFLAGS = @CPPFLAGS@
161CXX = @CXX@
162CXXDEPMODE = @CXXDEPMODE@
163CXXFLAGS = @CXXFLAGS@
164CYGPATH_W = @CYGPATH_W@
165DEFS = @DEFS@
166DEPDIR = @DEPDIR@
167ECHO_C = @ECHO_C@
168ECHO_N = @ECHO_N@
169ECHO_T = @ECHO_T@
170EGREP = @EGREP@
171EXEEXT = @EXEEXT@
172GREP = @GREP@
173INSTALL = @INSTALL@
174INSTALL_DATA = @INSTALL_DATA@
175INSTALL_PROGRAM = @INSTALL_PROGRAM@
176INSTALL_SCRIPT = @INSTALL_SCRIPT@
177INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
178LDFLAGS = @LDFLAGS@
179LEX = @LEX@
180LEXLIB = @LEXLIB@
181LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
182LIBOBJS = @LIBOBJS@
183LIBS = @LIBS@
184LTLIBOBJS = @LTLIBOBJS@
185MACHINE_TYPE = @MACHINE_TYPE@
186MAINT = @MAINT@
187MAKEINFO = @MAKEINFO@
188MKDIR_P = @MKDIR_P@
189OBJEXT = @OBJEXT@
190PACKAGE = @PACKAGE@
191PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
192PACKAGE_NAME = @PACKAGE_NAME@
193PACKAGE_STRING = @PACKAGE_STRING@
194PACKAGE_TARNAME = @PACKAGE_TARNAME@
195PACKAGE_URL = @PACKAGE_URL@
196PACKAGE_VERSION = @PACKAGE_VERSION@
197PATH_SEPARATOR = @PATH_SEPARATOR@
198RANLIB = @RANLIB@
199SET_MAKE = @SET_MAKE@
200SHELL = @SHELL@
201STRIP = @STRIP@
202VERSION = @VERSION@
203YACC = @YACC@
204YFLAGS = @YFLAGS@
205abs_builddir = @abs_builddir@
206abs_srcdir = @abs_srcdir@
207abs_top_builddir = @abs_top_builddir@
208abs_top_srcdir = @abs_top_srcdir@
209ac_ct_CC = @ac_ct_CC@
210ac_ct_CXX = @ac_ct_CXX@
211am__include = @am__include@
212am__leading_dot = @am__leading_dot@
213am__quote = @am__quote@
214am__tar = @am__tar@
215am__untar = @am__untar@
216bindir = @bindir@
217build = @build@
218build_alias = @build_alias@
219build_cpu = @build_cpu@
220build_os = @build_os@
221build_vendor = @build_vendor@
222builddir = @builddir@
223datadir = @datadir@
224datarootdir = @datarootdir@
225docdir = @docdir@
226dvidir = @dvidir@
227exec_prefix = @exec_prefix@
228host = @host@
229host_alias = @host_alias@
230host_cpu = @host_cpu@
231host_os = @host_os@
232host_vendor = @host_vendor@
233htmldir = @htmldir@
234includedir = @includedir@
235infodir = @infodir@
236install_sh = @install_sh@
237libdir = @libdir@
238libexecdir = @libexecdir@
239localedir = @localedir@
240localstatedir = @localstatedir@
241mandir = @mandir@
242mkdir_p = @mkdir_p@
243oldincludedir = @oldincludedir@
244pdfdir = @pdfdir@
245prefix = @prefix@
246program_transform_name = @program_transform_name@
247psdir = @psdir@
248sbindir = @sbindir@
249sharedstatedir = @sharedstatedir@
250srcdir = @srcdir@
251sysconfdir = @sysconfdir@
252target_alias = @target_alias@
253top_build_prefix = @top_build_prefix@
254top_builddir = @top_builddir@
255top_srcdir = @top_srcdir@
256
257# create object files in directory with source files
258AUTOMAKE_OPTIONS = subdir-objects
259lib_LIBRARIES = $(am__append_1) $(am__append_2)
260
261# put into lib for now
262cfalibdir = ${libdir}
263cfalib_DATA = builtins.cf extras.cf prelude.cf
264MAINTAINERCLEANFILES = builtins.cf extras.cf ${addprefix ${libdir}/,${cfalib_DATA}} ${addprefix ${libdir}/,${lib_LIBRARIES}}
265EXTRA_FLAGS = \
266        -g \
267        -Wall \
268        -Wno-unused-function \
269        @CFA_FLAGS@ \
270        -I${abs_top_srcdir}/src/libcfa/libhdr \
271        # TEMPORARY: does not build with -O2
272
273AM_CCASFLAGS = @CFA_FLAGS@
274headers = limits stdlib math iostream fstream iterator rational assert containers/vector concurrency/threads
275runtimehdrs = concurrency
276libobjs = ${headers:=.o}
277libsrc = libcfa-prelude.c ${headers:=.c} concurrency/CtxSwitch-@MACHINE_TYPE@.S concurrency/invoke.c
278libcfa_a_SOURCES = ${libsrc}
279libcfa_d_a_SOURCES = ${libsrc}
280stdhdr = ${shell echo stdhdr/*}
281nobase_include_HEADERS = ${headers} ${stdhdr} concurrency/invoke.h
282CLEANFILES = libcfa-prelude.c
283all: all-am
284
285.SUFFIXES:
286.SUFFIXES: .S .c .o .obj
287$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
288        @for dep in $?; do \
289          case '$(am__configure_deps)' in \
290            *$$dep*) \
291              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
292                && { if test -f $@; then exit 0; else break; fi; }; \
293              exit 1;; \
294          esac; \
295        done; \
296        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/libcfa/Makefile'; \
297        $(am__cd) $(top_srcdir) && \
298          $(AUTOMAKE) --foreign src/libcfa/Makefile
299.PRECIOUS: Makefile
300Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
301        @case '$?' in \
302          *config.status*) \
303            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
304          *) \
305            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
306            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
307        esac;
308
309$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
310        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
311
312$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
313        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
314$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
315        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
316$(am__aclocal_m4_deps):
317install-libLIBRARIES: $(lib_LIBRARIES)
318        @$(NORMAL_INSTALL)
319        test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
320        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
321        list2=; for p in $$list; do \
322          if test -f $$p; then \
323            list2="$$list2 $$p"; \
324          else :; fi; \
325        done; \
326        test -z "$$list2" || { \
327          echo " $(INSTALL_DATA) $$list2 '$(DESTDIR)$(libdir)'"; \
328          $(INSTALL_DATA) $$list2 "$(DESTDIR)$(libdir)" || exit $$?; }
329        @$(POST_INSTALL)
330        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
331        for p in $$list; do \
332          if test -f $$p; then \
333            $(am__strip_dir) \
334            echo " ( cd '$(DESTDIR)$(libdir)' && $(RANLIB) $$f )"; \
335            ( cd "$(DESTDIR)$(libdir)" && $(RANLIB) $$f ) || exit $$?; \
336          else :; fi; \
337        done
338
339uninstall-libLIBRARIES:
340        @$(NORMAL_UNINSTALL)
341        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
342        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
343        dir='$(DESTDIR)$(libdir)'; $(am__uninstall_files_from_dir)
344
345clean-libLIBRARIES:
346        -test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)
347containers/$(am__dirstamp):
348        @$(MKDIR_P) containers
349        @: > containers/$(am__dirstamp)
350containers/$(DEPDIR)/$(am__dirstamp):
351        @$(MKDIR_P) containers/$(DEPDIR)
352        @: > containers/$(DEPDIR)/$(am__dirstamp)
353containers/vector.$(OBJEXT): containers/$(am__dirstamp) \
354        containers/$(DEPDIR)/$(am__dirstamp)
355concurrency/$(am__dirstamp):
356        @$(MKDIR_P) concurrency
357        @: > concurrency/$(am__dirstamp)
358concurrency/$(DEPDIR)/$(am__dirstamp):
359        @$(MKDIR_P) concurrency/$(DEPDIR)
360        @: > concurrency/$(DEPDIR)/$(am__dirstamp)
361concurrency/threads.$(OBJEXT): concurrency/$(am__dirstamp) \
362        concurrency/$(DEPDIR)/$(am__dirstamp)
363concurrency/CtxSwitch-@MACHINE_TYPE@.$(OBJEXT):  \
364        concurrency/$(am__dirstamp) \
365        concurrency/$(DEPDIR)/$(am__dirstamp)
366concurrency/invoke.$(OBJEXT): concurrency/$(am__dirstamp) \
367        concurrency/$(DEPDIR)/$(am__dirstamp)
368libcfa-d.a: $(libcfa_d_a_OBJECTS) $(libcfa_d_a_DEPENDENCIES) $(EXTRA_libcfa_d_a_DEPENDENCIES)
369        $(AM_V_at)-rm -f libcfa-d.a
370        $(AM_V_AR)$(libcfa_d_a_AR) libcfa-d.a $(libcfa_d_a_OBJECTS) $(libcfa_d_a_LIBADD)
371        $(AM_V_at)$(RANLIB) libcfa-d.a
372libcfa.a: $(libcfa_a_OBJECTS) $(libcfa_a_DEPENDENCIES) $(EXTRA_libcfa_a_DEPENDENCIES)
373        $(AM_V_at)-rm -f libcfa.a
374        $(AM_V_AR)$(libcfa_a_AR) libcfa.a $(libcfa_a_OBJECTS) $(libcfa_a_LIBADD)
375        $(AM_V_at)$(RANLIB) libcfa.a
376
377mostlyclean-compile:
378        -rm -f *.$(OBJEXT)
379        -rm -f concurrency/CtxSwitch-@MACHINE_TYPE@.$(OBJEXT)
380        -rm -f concurrency/invoke.$(OBJEXT)
381        -rm -f concurrency/threads.$(OBJEXT)
382        -rm -f containers/vector.$(OBJEXT)
383
384distclean-compile:
385        -rm -f *.tab.c
386
387@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/assert.Po@am__quote@
388@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fstream.Po@am__quote@
389@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iostream.Po@am__quote@
390@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iterator.Po@am__quote@
391@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcfa-prelude.Po@am__quote@
392@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/limits.Po@am__quote@
393@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/math.Po@am__quote@
394@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rational.Po@am__quote@
395@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stdlib.Po@am__quote@
396@AMDEP_TRUE@@am__include@ @am__quote@concurrency/$(DEPDIR)/CtxSwitch-@MACHINE_TYPE@.Po@am__quote@
397@AMDEP_TRUE@@am__include@ @am__quote@concurrency/$(DEPDIR)/invoke.Po@am__quote@
398@AMDEP_TRUE@@am__include@ @am__quote@concurrency/$(DEPDIR)/threads.Po@am__quote@
399@AMDEP_TRUE@@am__include@ @am__quote@containers/$(DEPDIR)/vector.Po@am__quote@
400
401.S.o:
402@am__fastdepCCAS_TRUE@  $(AM_V_CPPAS)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
403@am__fastdepCCAS_TRUE@  $(CPPASCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
404@am__fastdepCCAS_TRUE@  $(am__mv) $$depbase.Tpo $$depbase.Po
405@AMDEP_TRUE@@am__fastdepCCAS_FALSE@     $(AM_V_CPPAS)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
406@AMDEP_TRUE@@am__fastdepCCAS_FALSE@     DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
407@am__fastdepCCAS_FALSE@ $(AM_V_CPPAS@am__nodep@)$(CPPASCOMPILE) -c -o $@ $<
408
409.S.obj:
410@am__fastdepCCAS_TRUE@  $(AM_V_CPPAS)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
411@am__fastdepCCAS_TRUE@  $(CPPASCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
412@am__fastdepCCAS_TRUE@  $(am__mv) $$depbase.Tpo $$depbase.Po
413@AMDEP_TRUE@@am__fastdepCCAS_FALSE@     $(AM_V_CPPAS)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
414@AMDEP_TRUE@@am__fastdepCCAS_FALSE@     DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
415@am__fastdepCCAS_FALSE@ $(AM_V_CPPAS@am__nodep@)$(CPPASCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
416
417.c.o:
418@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
419@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
420@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
421@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
422@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
423@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
424
425.c.obj:
426@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
427@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
428@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
429@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
430@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
431@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
432install-cfalibDATA: $(cfalib_DATA)
433        @$(NORMAL_INSTALL)
434        test -z "$(cfalibdir)" || $(MKDIR_P) "$(DESTDIR)$(cfalibdir)"
435        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
436        for p in $$list; do \
437          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
438          echo "$$d$$p"; \
439        done | $(am__base_list) | \
440        while read files; do \
441          echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(cfalibdir)'"; \
442          $(INSTALL_DATA) $$files "$(DESTDIR)$(cfalibdir)" || exit $$?; \
443        done
444
445uninstall-cfalibDATA:
446        @$(NORMAL_UNINSTALL)
447        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
448        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
449        dir='$(DESTDIR)$(cfalibdir)'; $(am__uninstall_files_from_dir)
450install-nobase_includeHEADERS: $(nobase_include_HEADERS)
451        @$(NORMAL_INSTALL)
452        test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
453        @list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
454        $(am__nobase_list) | while read dir files; do \
455          xfiles=; for file in $$files; do \
456            if test -f "$$file"; then xfiles="$$xfiles $$file"; \
457            else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
458          test -z "$$xfiles" || { \
459            test "x$$dir" = x. || { \
460              echo "$(MKDIR_P) '$(DESTDIR)$(includedir)/$$dir'"; \
461              $(MKDIR_P) "$(DESTDIR)$(includedir)/$$dir"; }; \
462            echo " $(INSTALL_HEADER) $$xfiles '$(DESTDIR)$(includedir)/$$dir'"; \
463            $(INSTALL_HEADER) $$xfiles "$(DESTDIR)$(includedir)/$$dir" || exit $$?; }; \
464        done
465
466uninstall-nobase_includeHEADERS:
467        @$(NORMAL_UNINSTALL)
468        @list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
469        $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
470        dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
471
472ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
473        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
474        unique=`for i in $$list; do \
475            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
476          done | \
477          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
478              END { if (nonempty) { for (i in files) print i; }; }'`; \
479        mkid -fID $$unique
480tags: TAGS
481
482TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
483                $(TAGS_FILES) $(LISP)
484        set x; \
485        here=`pwd`; \
486        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
487        unique=`for i in $$list; do \
488            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
489          done | \
490          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
491              END { if (nonempty) { for (i in files) print i; }; }'`; \
492        shift; \
493        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
494          test -n "$$unique" || unique=$$empty_fix; \
495          if test $$# -gt 0; then \
496            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
497              "$$@" $$unique; \
498          else \
499            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
500              $$unique; \
501          fi; \
502        fi
503ctags: CTAGS
504CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
505                $(TAGS_FILES) $(LISP)
506        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
507        unique=`for i in $$list; do \
508            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
509          done | \
510          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
511              END { if (nonempty) { for (i in files) print i; }; }'`; \
512        test -z "$(CTAGS_ARGS)$$unique" \
513          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
514             $$unique
515
516GTAGS:
517        here=`$(am__cd) $(top_builddir) && pwd` \
518          && $(am__cd) $(top_srcdir) \
519          && gtags -i $(GTAGS_ARGS) "$$here"
520
521distclean-tags:
522        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
523
524distdir: $(DISTFILES)
525        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
526        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
527        list='$(DISTFILES)'; \
528          dist_files=`for file in $$list; do echo $$file; done | \
529          sed -e "s|^$$srcdirstrip/||;t" \
530              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
531        case $$dist_files in \
532          */*) $(MKDIR_P) `echo "$$dist_files" | \
533                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
534                           sort -u` ;; \
535        esac; \
536        for file in $$dist_files; do \
537          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
538          if test -d $$d/$$file; then \
539            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
540            if test -d "$(distdir)/$$file"; then \
541              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
542            fi; \
543            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
544              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
545              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
546            fi; \
547            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
548          else \
549            test -f "$(distdir)/$$file" \
550            || cp -p $$d/$$file "$(distdir)/$$file" \
551            || exit 1; \
552          fi; \
553        done
554check-am: all-am
555check: check-am
556all-am: Makefile $(LIBRARIES) $(DATA) $(HEADERS)
557installdirs:
558        for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" "$(DESTDIR)$(includedir)"; do \
559          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
560        done
561install: install-am
562install-exec: install-exec-am
563install-data: install-data-am
564uninstall: uninstall-am
565
566install-am: all-am
567        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
568
569installcheck: installcheck-am
570install-strip:
571        if test -z '$(STRIP)'; then \
572          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
573            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
574              install; \
575        else \
576          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
577            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
578            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
579        fi
580mostlyclean-generic:
581
582clean-generic:
583        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
584
585distclean-generic:
586        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
587        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
588        -rm -f concurrency/$(DEPDIR)/$(am__dirstamp)
589        -rm -f concurrency/$(am__dirstamp)
590        -rm -f containers/$(DEPDIR)/$(am__dirstamp)
591        -rm -f containers/$(am__dirstamp)
592
593maintainer-clean-generic:
594        @echo "This command is intended for maintainers to use"
595        @echo "it deletes files that may require special tools to rebuild."
596        -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
597clean: clean-am
598
599clean-am: clean-generic clean-libLIBRARIES mostlyclean-am
600
601distclean: distclean-am
602        -rm -rf ./$(DEPDIR) concurrency/$(DEPDIR) containers/$(DEPDIR)
603        -rm -f Makefile
604distclean-am: clean-am distclean-compile distclean-generic \
605        distclean-tags
606
607dvi: dvi-am
608
609dvi-am:
610
611html: html-am
612
613html-am:
614
615info: info-am
616
617info-am:
618
619install-data-am: install-cfalibDATA install-nobase_includeHEADERS
620
621install-dvi: install-dvi-am
622
623install-dvi-am:
624
625install-exec-am: install-libLIBRARIES
626
627install-html: install-html-am
628
629install-html-am:
630
631install-info: install-info-am
632
633install-info-am:
634
635install-man:
636
637install-pdf: install-pdf-am
638
639install-pdf-am:
640
641install-ps: install-ps-am
642
643install-ps-am:
644
645installcheck-am:
646
647maintainer-clean: maintainer-clean-am
648        -rm -rf ./$(DEPDIR) concurrency/$(DEPDIR) containers/$(DEPDIR)
649        -rm -f Makefile
650maintainer-clean-am: distclean-am maintainer-clean-generic \
651        maintainer-clean-local
652
653mostlyclean: mostlyclean-am
654
655mostlyclean-am: mostlyclean-compile mostlyclean-generic
656
657pdf: pdf-am
658
659pdf-am:
660
661ps: ps-am
662
663ps-am:
664
665uninstall-am: uninstall-cfalibDATA uninstall-libLIBRARIES \
666        uninstall-nobase_includeHEADERS
667
668.MAKE: install-am install-strip
669
670.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
671        clean-libLIBRARIES ctags distclean distclean-compile \
672        distclean-generic distclean-tags distdir dvi dvi-am html \
673        html-am info info-am install install-am install-cfalibDATA \
674        install-data install-data-am install-dvi install-dvi-am \
675        install-exec install-exec-am install-html install-html-am \
676        install-info install-info-am install-libLIBRARIES install-man \
677        install-nobase_includeHEADERS install-pdf install-pdf-am \
678        install-ps install-ps-am install-strip installcheck \
679        installcheck-am installdirs maintainer-clean \
680        maintainer-clean-generic maintainer-clean-local mostlyclean \
681        mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
682        tags uninstall uninstall-am uninstall-cfalibDATA \
683        uninstall-libLIBRARIES uninstall-nobase_includeHEADERS
684
685
686# create extra forward types/declarations to reduce inclusion of library files
687extras.cf : extras.regx extras.c
688        ${AM_V_GEN}@BACKEND_CC@ @CFA_FLAGS@ -E ${srcdir}/extras.c | grep -f extras.regx > ${srcdir}/extras.cf
689
690# create forward declarations for gcc builtins
691builtins.cf : builtins.c
692        ${AM_V_GEN}if [ -e $< ] ; then \
693                @BACKEND_CC@ -E -P $^ | sed -e "/targetm/s/.*//" -e "/_Decimal/s/.*//" -e "s/void (const char \*)0();//" -e "s/\"//g" -e "s/\(__builtin_\) /\1/" > $@ ; \
694        fi
695
696builtins.c : builtins.def prototypes.awk
697        ${AM_V_GEN}if [ -e $< ] ; then \
698                @BACKEND_CC@ -E prototypes.c | awk -f prototypes.awk > $@ ; \
699        fi
700
701builtins.def :
702
703prototypes.awk :
704
705#--------------------------------------------------
706
707libcfa-prelude.c : ${srcdir}/prelude.cf ${srcdir}/extras.cf ${srcdir}/builtins.cf
708        ${AM_V_GEN}${abs_top_srcdir}/src/driver/cfa-cpp -l ${srcdir}/prelude.cf $@  # use src/cfa-cpp as not in lib until after install
709
710libcfa-prelude.o : libcfa-prelude.c
711         ${AM_V_GEN}@BACKEND_CC@ @CFA_FLAGS@ -c -o $@ $<
712
713# extensionless header files are overridden by -o flag in default makerule => explicitly override default rule to silently do nothing
714% : %.c
715        @true
716
717concurrency/invoke.o : concurrency/invoke.c
718        $(AM_V_CC) @BACKEND_CC@ -DHAVE_CONFIG_H -I. -I../.. ${EXTRA_FLAGS} -c -o $@ $<
719
720${libobjs} : ${abs_top_srcdir}/src/driver/cfa-cpp ${cfalib_DATA} # add dependency to cfa-cpp so all libraries are rebuilt with new translator
721
722maintainer-clean-local:
723        -rm -rf ${includedir}/*
724
725# Tell versions [3.59,3.63) of GNU make to not export all variables.
726# Otherwise a system limit (for SysV at least) may be exceeded.
727.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.